Subject: Re: Is cygffi.dll needed for SableVM JVM?
From: "Gerrit P. Haase" <[email-masked]>
To: "Grzegorz B. Prokopski" <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Fri, 17 Sep 2004 14:42:23 +0200

Hello Grzegorz,

Am Freitag, 17. September 2004 um 02:47 schriebst du:

> The most tricky part (for me, at the time I didn't know much about
> Cygwin) was getting a shared library of libffi.  SableVM currently
> does not allow for static compilation, so we needed to compile
> /bin/cygffi.dll ourselves.  Once that was done - the rest was easy.
> This was acceptable as an experiment, but in the long run we'd like to
> have a Cygwin package of SableVM, so we need a cleaner method. [*]

> There's two possible solutions I can see:
> 1. include shared library of libffi into official cygwin gcc-java
> (along with ffi headers)
> 2. make libsablevm link against statically compiled libffi.

> I am not sure 2) is possible and I don't know how to do it.  SableVM
> consists of 3 binary parts: /usr/bin/sablevm binary wrapper that loads
> libsablevm which in turn loads via ltdl_open JNI libraries from
> sablevm-classpath.  In such scenario, would it be possible for
> libsablevm to link against static libffi?  How to accomplish that
> in practice? (we use auto* and libtool in the build process)
> Some good advice or RTFM URLs are welcome.

> If 2) is not possible, would it be possible for gcc maintainer
> to include shared version of libffi in gcc-java?

You can link against static archives when using 'pass_all' instead of
'file_magic ^x86 archive import|^x86 DLL' to recognise dependent
libraries in libtool (change in libtool.m4).

> [*] We have a machine that could serve as an autobuilder for
> Cygwin packages, so once we make SableVM buildable and working
> under Cygwin it should be possible to ensure every new version
> still works.

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/